Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.transform
Class Transformer

    java.lang.Object
      |
      +--javax.xml.transform.Transformer

Direct Known Subclasses:
  TransformerImpl

public abstract class Transformer
extends java.lang.Object

Represents a usable stylesheet.

Constructor Summary
`protected` | `Transformer()` Constructor protected.

Method Summary
`abstract void` | `clearParameters()` Clears all the stylesheet parameters.
`abstract ErrorListener` | `getErrorListener()` Returns the current error callback listener.
`abstract java.util.Properties` | `getOutputProperties()` Returns a copy of the xsl:output properties.
`abstract java.lang.String` | `getOutputProperty(java.lang.String name)` Returns a single named xsl:output property.
`abstract java.lang.Object` | `getParameter(java.lang.String name)` Returns a named stylesheet parameter.
`abstract URIResolver` | `getURIResolver()` Returns the object used to lookup files from a URI.
`abstract void` | `setErrorListener(ErrorListener listener)` Sets the current error callback listener.
`abstract void` | `setOutputProperties(java.util.Properties properties)` Sets the xsl:output properties for the stylesheet.
`abstract void` | `setOutputProperty(java.lang.String name, java.lang.String property)` Returns a single named xsl:output property.
`abstract void` | `setParameter(java.lang.String name, java.lang.Object object)` Sets a named stylesheet parameter.
`abstract void` | `setURIResolver(URIResolver resolver)` Sets the object used to lookup files from a URI.
`abstract void` | `transform(Source source, Result result)` Transform the source into the result.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Transformer

    protected Transformer()

  Constructor protected.

Method Detail

### clearParameters

    public abstract void clearParameters()

  Clears all the stylesheet parameters.

### getParameter

    public abstract java.lang.Object getParameter(java.lang.String name)

  Returns a named stylesheet parameter.

### setParameter

    public abstract void setParameter(java.lang.String name,
                                      java.lang.Object object)

  Sets a named stylesheet parameter.

### getErrorListener

    public abstract ErrorListener getErrorListener()

  Returns the current error callback listener.

### setErrorListener

    public abstract void setErrorListener(ErrorListener listener)

  Sets the current error callback listener.

### getOutputProperties

    public abstract java.util.Properties getOutputProperties()

  Returns a copy of the xsl:output properties.

### setOutputProperties

    public abstract void setOutputProperties(java.util.Properties properties)

  Sets the xsl:output properties for the stylesheet.

### getOutputProperty

    public abstract java.lang.String getOutputProperty(java.lang.String name)

  Returns a single named xsl:output property.

### setOutputProperty

    public abstract void setOutputProperty(java.lang.String name,
                                           java.lang.String property)

  Returns a single named xsl:output property.

### getURIResolver

    public abstract URIResolver getURIResolver()

  Returns the object used to lookup files from a URI.

### setURIResolver

    public abstract void setURIResolver(URIResolver resolver)

  Sets the object used to lookup files from a URI.

### transform

    public abstract void transform(Source source,
                                   Result result)
                            throws TransformerException

  Transform the source into the result.
  Parameters:
    `source` - structure describing the XML source.
    `result` - the target of the transformation.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD